Bug 657563 - Manual page corrections for find
Manual page corrections for find
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: man-pages-overrides (Show other bugs)
6.0
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Ivana Varekova
BaseOS QE - Apps
: ManPageChange
Depends On:
Blocks: 659730
  Show dependency treegraph
 
Reported: 2010-11-26 08:44 EST by Eduard Benes
Modified: 2011-05-19 10:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 659730 (view as bug list)
Environment:
Last Closed: 2011-05-19 10:28:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upstream commit c440d6c applied on el6 findutils (4.12 KB, patch)
2011-01-27 06:03 EST, Kamil Dudka
no flags Details | Diff

  None (edit)
Description Eduard Benes 2010-11-26 08:44:16 EST
Manual page for find needs review and at least one minor correction. Following example from the manual does not work out-of-the-box:
<current>
       find / \
       \( -perm -4000 -fprintf /root/suid.txt %#m %u %p\n \) , \
       \( -size +100M -fprintf /root/big.txt %-10s %p\n \)
</current>

until you add apostrophe around print arguments as it is in RHEL 5 man pages:
<proposed>
       find / \
       \( -perm -4000 -fprintf /root/suid.txt '%#m %u %p\n' \) , \
       \( -size +100M -fprintf /root/big.txt '%-10s %p\n' \)
</proposed>

We can expect other similar typos around, so it should be checked. 

Version-Release number of selected component (if applicable):
findutils-4.4.2-6.el6
Comment 1 Kamil Dudka 2010-11-26 13:11:44 EST
Good catch!  Fixed upstream in c440d6c:

http://git.savannah.gnu.org/gitweb/?p=findutils.git;a=commitdiff;h=c440d6c
Comment 2 Kamil Dudka 2011-01-27 06:03:47 EST
Created attachment 475579 [details]
upstream commit c440d6c applied on el6 findutils
Comment 6 errata-xmlrpc 2011-05-19 10:28:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0780.html

Note You need to log in before you can comment on or make changes to this bug.